Update Configuration Record
1 min
PUT
https://api.upstartcommerce.com/v1/tenants/cfg/records/{recordId}
recordIdstringUnique identifier for a given record.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject<p>Request payload for updating an existing configuration record. Use this to rotate credentials, modify settings, change site scope, update tags, or enable/disable records. All fields are required - provide current values for fields that should not change.</p>
200<p>Success-record updated successfully. Version automatically incremented.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
422<p>The request was well-formed but contains semantic errors or violates business rules that prevent processing.</p>
500<p>An unexpected internal server error occurred. The request may be retried, and if the problem persists, contact support with the traceId from the error response.</p>
curl --request PUT \
--url https://api.upstartcommerce.com/v1/tenants/cfg/records/{recordId} \
--header 'accept: text/plain' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"templateId": "payment-cybersource",
"name": "Cybersource US Production Credentials - Updated Q1 2025",
"data": "{\"merchantId\":\"acme_us_prod\",\"apiKey\":\"sk_live_NEW_KEY_xyz789\",\"apiUrl\":\"https://api.cybersource.com\",\"currency\":\"USD\",\"testMode\":false}",
"enabled": true,
"accessControl": {
"read": true,
"modify": false
}
}'